org.apache.cayenne.reflect

## Class PropertyAccessor

- java.lang.Object
- - org.apache.cayenne.reflect.PropertyAccessor

- All Implemented Interfaces:
    Serializable, Accessor

      public class PropertyAccessor
      extends Object
      implements Accessor

  A utility accessor class that wraps a simple property.
  Since:
    3.0
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Property` | `property`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyAccessor(Property property)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns property name.
    `Object` | `getValue(Object object)` Returns a property value of an object without disturbing the object fault status.
    `void` | `setValue(Object object, Object newValue)` Sets a property value of an object without disturbing the object fault status.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### property

          protected Property property

  - ### Constructor Detail

    - #### PropertyAccessor

          public PropertyAccessor(Property property)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Accessor`
      Returns property name.
      Specified by:
        `getName` in interface `Accessor`

    - #### getValue

          public Object getValue(Object object)
                          throws PropertyException

      Description copied from interface: `Accessor`
      Returns a property value of an object without disturbing the object fault status.
      Specified by:
        `getValue` in interface `Accessor`
      Throws:
        `PropertyException`

    - #### setValue

          public void setValue(Object object,
                               Object newValue)
                        throws PropertyException

      Description copied from interface: `Accessor`
      Sets a property value of an object without disturbing the object fault status. Old value of the property is specified as a hint.
      Specified by:
        `setValue` in interface `Accessor`
      Throws:
        `PropertyException`

Copyright © 2001–2017 Apache Cayenne. All rights reserved.